package org.gcube.service.helloworld;

import java.util.HashSet;
import java.util.Set;

import javax.ws.rs.ApplicationPath;
import javax.ws.rs.core.Application;

import org.gcube.service.helloworld.services.AuthenticatedService;
import org.gcube.service.helloworld.services.ExcludeAuthorizationService;
import org.gcube.service.helloworld.services.HelloService;

/**
 * 
 * @author Lucio Lelii (ISTI-CNR)
 */

@ApplicationPath("")
public class HelloWorld extends Application {

	public Set<Class<?>> getClasses() {
		final Set<Class<?>> classes = new HashSet<Class<?>>();
		// register resources classes implementing Servlets
		classes.add(HelloService.class);
		classes.add(ExcludeAuthorizationService.class);
		classes.add(AuthenticatedService.class);
		return classes;
	}
}
